Bug 1176398 - calligra-libs requires Kexi
Summary: calligra-libs requires Kexi
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: calligra
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Regression
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-21 11:53 UTC by Kevin Kofler
Modified: 2015-01-02 05:04 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2014-12-31 19:03:07 UTC


Attachments (Terms of Use)

Description Kevin Kofler 2014-12-21 11:53:40 UTC
Description of problem:
The ancient bug #394101 is back from the dead. :-( We now have a dependency chain:
calligra-* → calligra-libs → calligra-kexi-libs (libcalligradb.so.13) → calligra-kexi

Version-Release number of selected component (if applicable):
calligra-2.8.7-2.fc22
calligra-2.8.7-1.fc22
calligra-2.8.7-1.fc21
calligra-2.8.7-1.fc20
calligra-2.8.7-1.fc19
Probably some previous ones too, but calligra-2.8.2-1.fc19 was NOT affected.

How reproducible:
Always.

Steps to Reproduce:
1. yum install calligra-words (or calligra-krita or any other Calligra application)

Actual results:
calligra-kexi is dragged in.

Expected results:
calligra-kexi is not dragged in.

Additional info:
Both the calligra-libs → calligra-kexi-libs (libcalligradb.so.13) and calligra-kexi-libs → calligra-kexi dependencies are strange.

For at least Fedora 19, this is a regression. (The 2.8.2 builds F19 previously had did not have this bogus dependency chain.)

Comment 1 Rex Dieter 2014-12-21 13:07:12 UTC
Here's what pulls it in (according to ldd)

/usr/lib64/libkoreport.so.13:
        libcalligradb.so.13 => /lib64/libcalligradb.so.13

Comment 2 Rex Dieter 2014-12-21 20:45:58 UTC
%changelog
* Sun Dec 21 2014 Rex Dieter <rdieter@fedoraproject.org> 2.8.7-3
- move libcalligradb to -libs, likoreport now depends on it (#1176398)

Comment 3 Fedora Update System 2014-12-23 17:30:43 UTC
calligra-2.8.7-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/calligra-2.8.7-3.fc21

Comment 4 Fedora Update System 2014-12-23 17:31:38 UTC
calligra-2.8.7-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/calligra-2.8.7-3.fc20

Comment 5 Fedora Update System 2014-12-23 17:32:12 UTC
calligra-2.8.7-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/calligra-2.8.7-3.fc19

Comment 6 Fedora Update System 2014-12-25 05:33:46 UTC
Package calligra-2.8.7-3.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing calligra-2.8.7-3.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17585/calligra-2.8.7-3.fc21
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2014-12-31 19:03:07 UTC
calligra-2.8.7-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-01-02 05:04:09 UTC
calligra-2.8.7-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-01-02 05:04:15 UTC
calligra-2.8.7-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.